tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: broken packages for 2012Q3

On Thu, Sep 27, 2012 at 10:09:28AM +0000, David Holland wrote:
 > here is a preliminary list, sorry it's been delayed this long...


(what's left here has been crosschecked properly this time, not that
this guarantees it has no mistakes)

The following have been, or were already, fixed:
   audio/akode-plugins-ffmpeg   databases/tcl-gdbm
   devel/elftoolchain           devel/tcl-tclcl
   emulators/aranym             emulators/vice
   ham/fldigi                   lang/smalltalk
   lang/tcl-otcl                meta-pkgs/desktop-gnome
   meta-pkgs/gnome-devtools     multimedia/dvdstyler
   multimedia/ffmpeg2theora     multimedia/ffmpegthumbnailer
   multimedia/mlt               multimedia/transcode
   multimedia/vlc10             print/tcl-pdflib
   security/bitstir             security/lasso
   sysutils/k3b                 textproc/ruby-libxml
   www/aws                      www/ruby-sinatra

These were missed in the previous list:
   security/ipsec-tools         geography/proj-swig     net/tcl-scotty

devel/stlport was dropped.

And the following are broken:

(1) generic build failures
lang/mercury            generic build failure, may also/then crash during build
misc/root               used to fail on openssl; now failing on fpos_t first
net/ns                  trouble using <sys/queue.h>
net/omniNotify          LP64 build issue with C++ overloading [EASY]
net/openwbem            C++ issues
security/ipsec-tools    error: conflicting types for 'ipsec_set_policy'
security/isakmpd        generic build failure
security/sfs            C++ issues (nontrivial) [OLD]
sysutils/gnome-commander apparently broke on poppler [REGRESSION]
www/nvu                 C++ issues with freetype

(2) generic link issues
devel/swt               missing library
geography/proj-swig     missing python rpaths
graphics/ruby-opengl    missing library (ruby18 only) [REGRESSION]
sysutils/xentools41     rpath relative to WRKDIR
www/paros               pile of missing libraries

(3) update required (and available)
devel/xsd               boost::filesystem::path issues and/or PR 43691
games/pokerth           boost issues [OLD]
lang/cint               C++ issues

(4) tcl85 fallout
cad/tnt-mmtl            (tcl-itcl-current fails) [REGRESSION]
lang/tcl-itcl           Var has no member named refCount (et al.) [REGRESSION]
lang/tcl-itcl-current   Var has no member named refCount (et al.) [REGRESSION]
net/tcl-scotty          x86_64 vs. amd64 confusion in plist [REGRESSION]
net/tkined              (tcl-scotty fails) [REGRESSION]
sysutils/tkdesk         (tcl-itcl fails) [REGRESSION]
textproc/tcl-expat      missing library [REGRESSION]

(5) libxml2 fallout
devel/gnustep-base      using incomplete type in GSXML.m [REGRESSION]
net/microdc2            missing utf8_to_main_string [REGRESSION]
textproc/gdome2         broke on libxml2 update [REGRESSION]
www/ap2-xslt2           broke on libxml2 update [REGRESSION]
www/kdewebdev3          undefined reference to `docbParseFile' [REGRESSION]

(6) openssl
www/ap-ssl              openssl issues
www/pound               openssl problems (LHASH); update available

(7) other
comms/asterisk10        PLIST divergence on [REGRESSION]
comms/asterisk18        PLIST divergence on [REGRESSION]
devel/clisp-syscalls    lisp issues
editors/mule            temacs segfault
editors/xemacs-current  temacs segfault (PR 35500) [OLD]
graphics/f-spot         No package 'flickrnet' found
inputmethod/py-input-pad        multiple python versions (see pkgsrc-changes)
lang/pfe                plist divergence on docs [REGRESSION]
lang/racket             minor plist divergence
misc/hanzim             install requires an X server
misc/molden             fortran issues
mbone/vic-devel         x264 codec problems, not sure where from
multimedia/vls          failing on "dvbpsi" codec
net/dcsharp             mono linking issues
net/mppe-lkm            kernel header issues [OLD]
parallel/mpi-ch         missing 'backtrace' (PR 46959)
print/ruby-prawn        syntax error (only ruby18 fails)
print/tex-bagpipetex    cannot open quickref.dvi
shells/static-ast-ksh   cannot find own executable at install time
sysutils/burn           invalid objc
sysutils/wipe           can't find DIOCGPART
sysutils/xenkernel3     variably modified ... at file scope
textproc/pxp            ocaml issues [REGRESSION]
wm/afterstep            plist divergence (PR 41965) [OLD]
x11/grandr_applet       gnome issues
x11/openbsd-input-ws    doesn't work with current X server (PR 41585) [OLD]
x11/qt4-creator         qdoc problems
x11/ruby-wxruby         ruby18- works, others fail (wrong swig version)

Also, I can't reproduce these failures in Joerg's build:

devel/opal              no longer likes h263 codec
multimedia/ffplay       missing library,
x11/clisp-new-clx       missing library
x11/nucleo              broke on libxml2 update

This doesn't mean they aren't broken...

David A. Holland

Home | Main Index | Thread Index | Old Index